import 'package:diplomaticquarterapp/models/LiveCare/LiveCareScheduleClinicsListResponse.dart';
import 'package:flutter/material.dart';

class ScheduleClinicCard extends StatefulWidget {
  bool isSelected;
  final ClinicsHaveScheduleList clinicsHaveScheduleList;
  var languageID;

  ScheduleClinicCard(
      {this.isSelected,
      this.languageID,
      @required this.clinicsHaveScheduleList});

  @override
  _ScheduleClinicCardState createState() => _ScheduleClinicCardState();
}

class _ScheduleClinicCardState extends State<ScheduleClinicCard> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Card(
        margin: EdgeInsets.fromLTRB(15.0, 10.0, 15.0, 8.0),
        color: widget.isSelected ? Color(0xff06b806) : Colors.white,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(10),
        ),
        child: Container(
          width: MediaQuery.of(context).size.width * 0.8,
          padding: EdgeInsets.all(12.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisSize: MainAxisSize.max,
            children: <Widget>[
              Container(
                child: Text(
                    widget.languageID == 'ar'
                        ? widget.clinicsHaveScheduleList.clinicDescN != null ? widget.clinicsHaveScheduleList.clinicDescN: ""
                        : widget.clinicsHaveScheduleList.clinicDesc != null ? widget.clinicsHaveScheduleList.clinicDesc: "Test Clinic",
                    style: TextStyle(
                        fontSize: 16.0,
                        color:
                        widget.isSelected ? Colors.white : Colors.black)),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
